Package com.io7m.idstore.shell.admin.internal.formatting

# Class IdAFormatterRaw

java.lang.Object
com.io7m.idstore.shell.admin.internal.formatting.IdAFormatterRaw

All Implemented Interfaces:
  `IdAFormatterType`

public final class IdAFormatterRaw extends Object implements IdAFormatterType
A raw formatter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAFormatterRaw(org.jline.terminal.Terminal inTerminal)`
  A raw formatter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `formatAdmin(IdAdmin admin)`
  Format an admin.
  `void`
  `formatAdmins(IdPage<IdAdminSummary> page)`
  Format a page of admins.
  `void`
  `formatAudits(IdPage<IdAuditEvent> page)`
  Format a page of audit events.
  `void`
  `formatLoginHistory(List<IdLogin> histories)`
  Format a history.
  `void`
  `formatUser(IdUser user)`
  Format a user.
  `void`
  `formatUsers(IdPage<IdUserSummary> page)`
  Format a page of users.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdAFormatterRaw

    public IdAFormatterRaw(org.jline.terminal.Terminal inTerminal)
    A raw formatter.
    Parameters:
      `inTerminal` - The terminal

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### formatAdmin

    public void formatAdmin(IdAdmin admin)
    Description copied from interface: `IdAFormatterType`
    Format an admin.
    Specified by:
      `formatAdmin` in interface `IdAFormatterType`
    Parameters:
      `admin` - The admin

  - ### formatAdmins

    public void formatAdmins(IdPage<IdAdminSummary> page)
    Description copied from interface: `IdAFormatterType`
    Format a page of admins.
    Specified by:
      `formatAdmins` in interface `IdAFormatterType`
    Parameters:
      `page` - The page

  - ### formatAudits

    public void formatAudits(IdPage<IdAuditEvent> page)
    Description copied from interface: `IdAFormatterType`
    Format a page of audit events.
    Specified by:
      `formatAudits` in interface `IdAFormatterType`
    Parameters:
      `page` - The page

  - ### formatUsers

    public void formatUsers(IdPage<IdUserSummary> page)
    Description copied from interface: `IdAFormatterType`
    Format a page of users.
    Specified by:
      `formatUsers` in interface `IdAFormatterType`
    Parameters:
      `page` - The page

  - ### formatLoginHistory

    public void formatLoginHistory(List<IdLogin> histories)
    Description copied from interface: `IdAFormatterType`
    Format a history.
    Specified by:
      `formatLoginHistory` in interface `IdAFormatterType`
    Parameters:
      `histories` - The history

  - ### formatUser

    public void formatUser(IdUser user)
    Description copied from interface: `IdAFormatterType`
    Format a user.
    Specified by:
      `formatUser` in interface `IdAFormatterType`
    Parameters:
      `user` - The user